Bug 248708 - Directory names with '#' character confuse gthumb
Directory names with '#' character confuse gthumb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 08:26 EDT by Pavel Rosenboim
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.10.6-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:47:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2007-07-18 08:26:24 EDT
Description of problem:
When gThumb directed to rotate an image placed in a directory, whose name has a
'#' character, it does not perform rotation of an original image. Instead, the
rotated image is saved in a parent directory with a file name equal to a part of
 its directory name before '#'.

Version-Release number of selected component (if applicable):
gthumb-2.10.5-1.fc7

How reproducible:
Always.

Steps to Reproduce:
1. Create a directory with # character (/home/username/picture#1) and place an
image into that directory.
2. Browse to that directory with gThumb and try to rotate an image.

  
Actual results:
Original image remains non-rotated and file 'picture' holding rotated image is
created in a parent directory (/home/username).

Expected results:
Rotate an image.

Additional info:
Comment 1 Pavel Rosenboim 2007-07-18 08:39:39 EDT
Also filed upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=457936
Comment 2 Fedora Update System 2007-10-03 17:18:52 EDT
gthumb-2.10.6-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gthumb'
Comment 3 Pavel Rosenboim 2007-10-09 04:30:57 EDT
New package fixes the problem.
Comment 4 Fedora Update System 2007-10-10 21:47:00 EDT
gthumb-2.10.6-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.